#!/bin/bash
set -e

# Убить все процессы, использующие /mnt/test
sudo fuser -km /mnt/test || true

# Подождать, пока умрут
sleep 0.5

# Умонтировать
sudo umount /mnt/test || true

# Выгрузить модуль
sudo rmmod statsfs || true

# Подождать, пока освободится
sleep 0.5

# Вставить модуль и смонтировать
sudo insmod statsfs.ko
sudo mount -t libfs none /mnt/test
